curl --request POST \
--url https://www.wander-service.fr/api/clients/v2/get/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"categories": [],
"sources": [
"<string>"
],
"locationFilter": {},
"datesFilter": {
"minDate": "<string>",
"maxDate": "<string>"
},
"pricesFilter": {
"lowestPrice": 123,
"highestPrice": 123,
"hasKnownPrice": true
},
"limit": 250.5,
"pageNumber": 123,
"getCommentaries": true,
"getPerformers": true
}
'import requests
url = "https://www.wander-service.fr/api/clients/v2/get/events"
payload = {
"categories": [],
"sources": ["<string>"],
"locationFilter": {},
"datesFilter": {
"minDate": "<string>",
"maxDate": "<string>"
},
"pricesFilter": {
"lowestPrice": 123,
"highestPrice": 123,
"hasKnownPrice": True
},
"limit": 250.5,
"pageNumber": 123,
"getCommentaries": True,
"getPerformers": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
categories: [],
sources: ['<string>'],
locationFilter: {},
datesFilter: {minDate: '<string>', maxDate: '<string>'},
pricesFilter: {lowestPrice: 123, highestPrice: 123, hasKnownPrice: true},
limit: 250.5,
pageNumber: 123,
getCommentaries: true,
getPerformers: true
})
};
fetch('https://www.wander-service.fr/api/clients/v2/get/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"wanderId": 123,
"wanderLink": "<string>",
"name": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"hasEndDateNotReliable": true,
"lowestPrice": 123,
"highestPrice": 123,
"description": "<string>",
"hasGoodDeal": true,
"image": "<string>",
"imageHeight": 123,
"imageWidth": 123,
"squareImage": "<string>",
"rectangleImage": "<string>",
"webImage": "<string>",
"notAvailableAt": "<string>",
"cancelledAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"googlePlace": {
"id": "<string>",
"name": "<string>",
"address": "<string>",
"lng": 123,
"lat": 123,
"averageGrade": 123,
"totalGrades": 123,
"street": "<string>",
"city": "<string>",
"postalCode": "<string>",
"country": "<string>",
"photoRef": "<string>",
"website": "<string>",
"editorialSummary": "<string>",
"periods": [
{
"open": {
"day": 123,
"time": "<string>"
},
"close": {
"day": 123,
"time": "<string>"
}
}
]
},
"place": {
"id": 123,
"googleId": "<string>",
"name": "<string>",
"address": {
"lng": 123,
"lat": 123,
"street": "<string>",
"city": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"image": "<string>",
"squareImage": "<string>",
"rectangleImage": "<string>",
"averageGrade": 123,
"totalGrades": 123
},
"sources": [
{
"id": 123,
"partner": {
"name": "<string>",
"logo": "<string>",
"backColor": "<string>"
},
"startDate": "<string>",
"endDate": "<string>",
"lowestPrice": 123,
"highestPrice": 123,
"isGoodDeal": true,
"commissionFix": 123,
"commissionPerTicket": 123,
"commissionPerCart": 123,
"commissionRate": 123,
"link": "<string>",
"isBookable": true,
"availableDates": [
{
"startDate": "<string>",
"endDate": "<string>",
"hasEndDateNotReliable": true,
"hasUnknownAvailability": true
}
],
"averageGrade": 123,
"totalGrades": 123,
"cantRetrieveAvailableDates": true,
"notAvailableAt": "<string>"
}
],
"categories": [
{
"id": 123,
"mainCategory": "<string>",
"subCategory": "<string>",
"traductionFR": "<string>",
"traductionEN": "<string>",
"icon": "<string>"
}
],
"commentaries": [
{
"grade": 123,
"content": "<string>",
"username": "<string>",
"date": "<string>"
}
],
"averageGrade": 123,
"totalGrades": 123,
"trendingScore": 123,
"performers": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"image": "<string>",
"webImage": "<string>"
}
]
}
],
"pagination": {
"totalItems": 123,
"totalPages": 123,
"perPage": 123,
"currentPage": 123,
"nextPageParams": {
"pageNumber": 123,
"limit": 123
},
"previousPageParams": {
"pageNumber": 123,
"limit": 123
}
}
}Get events
Get events according to your filters. You can use it to serve a map or event stream.
Authorizations
It is the "access_token" returned after login
Body
It is a filter. By default, you get all the event categories.
1atelier, brocante, cinema, conference, enfants, expo, festival, gastronomie, livres, loisirs, meeting, musique, nature, pro, salon, sciences, soiree, solidarite, spectacle, sport, visite, none It is a filter. By default, you get all sources. Check the back office for possible values.
1You can define a location filter corresponding to a circle or a rectangle.
- Option 1
- Option 2
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
1 <= x <= 5005
1
You can order the events you get by dates or by prices or by distance to a place definied with 'orderByDistance' or by last update dates to update your records. By default it's by ascendant endDates.
startDate, endDate, updatedAt, lowestPrice, highestPrice, distance "distance"
You can define the coordinates of a place to order events according to their distance from that place.
Show child attributes
Show child attributes
Set it to true if you want to retrieve commentaries on events you get. Warning, this reduces the performance of the request, so only use it if you want to use this data.
false
Set it to true if you want to retrieve performers on events you get. Warning, this reduces the performance of the request, so only use it if you want to use this data.
false
Was this page helpful?